# $Revision: 1.114.2.3 $, $Date: 2003/12/09 09:34:19 $
Summary:	/dev entries
Summary(de):	/dev-Eintrge
Summary(fr):	Entres de /dev
Summary(pl):	Pliki specjalne /dev/*
Summary(tr):	/dev dizini
Name:		dev
Version:	2.8.0
Release:	34
License:	Public Domain
Group:		Base
Source0:	http://piorun.ds.pg.gda.pl/~blues/SOURCES/%{name}-%{version}.tar.gz
# Source0-md5:	758636059b5d98ab63c3b8093a3c18da
BuildRequires:	setup
BuildRequires:	shadow
PreReq:		setup >= 2.4.1-2
Provides:	devfs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Autoreqprov:	no

%define		perm_cdrom	660,root,disk

%description
Unix and unix like systems (including Linux) use file system entries
to represent devices attached to the machine. All of these entries are
in the /dev tree (though they don't have to be), and this package
contains the most commonly used /dev entries. These files are
essential for a system to function properly.

%description -l de
Unix und Unix-hnliche Systeme (inkl. Linux) verwenden Dateisystem-
Eintrge zum Darstellen angeschlossener Gerte. Diese Eintrge
befinden sich (nicht notwendigerweise) im Verzeichnis /dev. Dieses
Paket enthlt die blichsten /dev-Eintrge. Diese Dateien sind fr das
Funktionieren eines Systems unbedingt erforderlich.

%description -l fr
Unix et les systmes apparents (dont Linux) utilise des fichiers pour
reprsenter les priphriques relis  la machine. Toutes ces entres
sont dans l'arborescence /dev (ce n'est pas obligatoire). Ce paquetage
contient les entres /dev les plus courantes. Elles sont essentielles
pour qu'un systme fonctionne correctement.

%description -l pl
Wszystkie systemy klasy unices, w tym Linux, uywaj plikw do
przedstawiania urzdze podczonych do komputera. Wszystkie te pliki
znajduj si zwykle w katalogu /dev. Pakiet ten zawiera wikszo
popularnych plikw specjalnych, s one jedn z waniejszych czci
prawidowo dziaajcego systemu operacyjnego.

%description -l tr
Unix ve Unix benzeri sistemler (Linux da dahil olmak zere), makinaya
bal aygtlar gstermek iin zel dosyalar kullanrlar. Bu zel
dosyalarn tm /dev dizin yaps altndadr. Bu paket en ok
kullanlan /dev dosyalarn ierir. Bu dosyalar, bir sistemin dzgn
olarak ileyebilmesi iin temel gereksinimlerdendir.

%prep
%setup -q -c -T

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/dev/cpu/{0,1,2,3,4,5,6,7}/

mknode() {
# [ -e $1 ] || mknod $1 $2 $3 $4
	rm -f $1
	mknod $1 $2 $3 $4
}


# add group for floppy and console
# if setup contains this group then remove next 4 lines
#grep '^floppy:' /etc/group >/dev/null \
#	|| groupadd -g 19 -r -f floppy >/dev/null
#grep '^console:' /etc/group >/dev/null \
#	|| groupadd -g 20 -f -r console >/dev/null

# do some cleanup in build root
cd $RPM_BUILD_ROOT
tar xpSzf $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz

cd dev

# tar doesn't save some permissions unless the p option is used
# this code protects against dev package updaters forgetting to
# use the p option when unpacking the souce tarball.
for dev in zero null tty ttyp0; do
	if [ ! $(ls -l $dev | awk '{print $1}') = crw-rw-rw- ]; then
		echo bad permissions on device $dev 1>&2
		exit 1
	fi
done

%ifarch sparc
# SPARC specific devices
ln -sf sunmouse mouse
mknode openprom c 10 139
%endif

%ifarch m68k
# m68k specific devices
mknode amigamouse c 10 4
mknode atarimouse c 10 5
mknode apollomouse c 10 7
ln -sf amigamouse mouse
mknode fdhd0 b 2 4
mknode fdhd1 b 2 5
%endif

%ifarch ppc
# RTC and Mouse devices related to ppc
mknode adb c 56 0
mknode adbmouse c 10 10
ln -sf adbmouse mouse
# PMU
mknode pmu c 10 154
# mol networking 
mknode sheep_net c 10 198
%endif

%ifarch sparc m68k
# common sparc & m68k specific devices
mknode kbd c 11 0
chmod 666 fb*
# remove devices that will *never* exist on a SPARC or m68k
rm -f aztcd mcd sbpcd* cm206cd cdu31a cdu535 sonycd sjcd gscd
rm -f atibm inportbm logibm psaux
%endif

# Coda support
mknode cfs0 c 67 0

# PPP support
mknode ppp c 108 0

for i in 0 1 2 3 4 5 6 7; do
	ln -sf fb$i fb${i}current
done

# watchdog support
mknode watchdog c 10 130
mknode temperature c 10 131

# nvram
mknode nvram c 10 144

# agpgart
mknode agpgart c 10 175

%ifarch %{ix86}
# toshiba support
mknode toshiba c 10 181
mknode cpu/microcode c 10 184
%endif
for i in 0 1 2 3 4 5 6 7
do
	mknode cpu/$i/cpuid c 203 $i
	mknod cpu/$i/msr c 202 $i
done

# route
mknode route c 36 0

# ALSA support
rm -f mixer*
mknode mixer0 c 14 0
mknode mixer1 c 14 16
mknode mixer2 c 14 32
mknode mixer3 c 14 48
ln -sf mixer0 mixer

ln -sf midi00 midi

rm -f dsp*
mknode dsp0 c 14 3
mknode dsp1 c 14 19
mknode dsp2 c 14 35
mknode dsp3 c 14 51
ln -sf dsp0 dsp

rm -f audio*
mknode audio0 c 14 4
mknode audio1 c 14 20
mknode audio2 c 14 36
mknode audio3 c 14 52
ln -sf audio0 audio

mknode adsp0 c 14 12
mknode adsp1 c 14 28
mknode adsp2 c 14 44
mknode adsp3 c 14 60
ln -sf adsp0 adsp

mknode dmfm0 c 14 10
mknode dmfm1 c 14 26
mknode dmfm2 c 14 42
mknode dmfm3 c 14 58

mknode dmmidi0 c 14 9
mknode dmmidi1 c 14 25
mknode dmmidi2 c 14 41
mknode dmmidi3 c 14 57

mknode music c 14 8

mknode admmidi0 c 14 14
mknode admmidi1 c 14 30
mknode admmidi2 c 14 46
mknode admmidi3 c 14 62

mknode amidi0 c 14 13
mknode amidi1 c 14 29
mknode amidi2 c 14 45
mknode amidi3 c 14 61
ln -sf amidi0 amidi

ln -sf music sequencer2

mknode aloadC0 c 116 0
mknode aloadC1 c 116 32
mknode aloadC2 c 116 64
mknode aloadC3 c 116 96
mknode aloadSEQ c 116 1

mknode amixer0 c 14 11
mknode amixer1 c 14 27
mknode amixer2 c 14 43
mknode amixer3 c 14 59

# video4linux support
mknode video0 c 81 0
mknode radio0 c 81 64
mknode vtx0 c 81 192
mknode vbi0 c 81 224
ln -sf video0 video
ln -sf radio0 radio
ln -sf vtx0 vtx
ln -sf vbi0 vbi

# em8300 (dxr3 and h+) support
mknode em8300-0    c 121 0
mknode em8300_mv-0 c 121 1
mknode em8300_ma-0 c 121 2
mknode em8300_sp-0 c 121 3
ln -sf em8300-0    em8300
ln -sf em8300_mv-0 em8300_mv
ln -sf em8300_ma-0 em8300_ma
ln -sf em8300_sp-0 em8300_sp

# more ide channels
mknode hdi b 56 0
mknode hdj b 56 64
mknode hdk b 57 0
mknode hdl b 57 64
for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
	mknode hdi$i b 56 $i
	mknode hdj$i b 56 $(( $i + 64 ))
	mknode hdk$i b 57 $i
	mknode hdl$i b 57 $(( $i + 64 ))
done

# osst (ide OnStream Tape drives)

mknode osst0 c 206 0
mknode osst1 c 206 1

# i2o disks
mkdir i2o
mknode i2o/ctl c 10 166
min=0
for d in a b c d e f g h i j k l m n o p; do
	mknode i2o/hd$d b 80 $min
	for p in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
		mknode i2o/hd${d}${p} b 80 $(($min + $p))
	done
	min=$(($min + 16))
done

# raid
for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
	mknode md$i b 9 $i
done
# ataraid
mkdir ataraid
for d in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
	mknode ataraid/d$d b 114 $(( $d * 16 ))
	for p in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
		mknode ataraid/d${d}p${p} b 114 $(( $d * 16 + $p ))
	done
done
# Compaq Next Generation Drive Array
mkdir cciss
for c in 0 1 2 3 4 5 6 7; do
	for d in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
		mknode cciss/c${c}d$d b $((104 + $c)) $(( $d * 16 ))
		for p in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
			mknode cciss/c${c}d${d}p$p b $((104 + $c)) $(( $d * 16 + $p ))
		done
	done
done

# InterMezzo fs cache managers
mknode intermezzo0 c 185 0
mknode intermezzo1 c 185 1
mknode intermezzo2 c 185 2
mknode intermezzo3 c 185 3

# netfilter
mknode ipstate c 95 2

# arpd
mknode arpd c 36 8

# pt_drv
mknode pt_drv c 40 0

# temporary
install -d $RPM_BUILD_ROOT/proc/asound
> $RPM_BUILD_ROOT/proc/asound/dev

ln -sf ../proc/asound/dev snd

# prepared for SysVinit
mknode initctl p

# prepared for Log Daemon
mkfifo --mode=666 syslog

# libsvga char dev helpers
mknode svga c 209 0
mknode svga1 c 209 1
mknode svga2 c 209 2
mknode svga3 c 209 3
mknode svga4 c 209 4

# ipsec character device
mknode ipsec c 36 10

# TUN/TAP devices for 2.2+tun patch
for i in 0 1 2 3 4 5 6 7 8 9; do
	mknode tun$i c 90 $i
done
# TAP/TUN for 2.4
install -d $RPM_BUILD_ROOT/dev/net
mknode net/tun c 10 200

# raw io devices
mknode rawctl c 162 0
mkdir $RPM_BUILD_ROOT/dev/raw
minor=1
while [ "$minor" -ne 256 ]; do
	mknode "raw/raw$minor" c 162 $minor
	minor=$(($minor +1))
done

# ltmodem
mknode ttyLT0 c 62 64
# Smart Link soft modem
mknode ttySL0 c 212 0

# XFree86-nvidia-kernel a.k.a. kernel(-smp)-video-nvidia
for i in 0 1 2 3; do
	mknode nvidia$i c 195 $i
done
mknode nvidiactl c 195 255

# kernel 2.4 requires /dev/js* with major 13
for f in 0 1 2 3; do
	mv -f js$f oldjs$f
	mknode js$f c 13 $f
done

# irda-utils
mknode ircomm0 c 161 0
mknode ircomm1 c 161 1
mknode irlpt0 c 161 16
mknode irlpt1 c 161 17

# lirc
mknode lirc c 61 0
mknode lircm p

# usb
mkdir input usb
for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
	mknode input/js$i c 13 $i
	mknode input/mouse$i c 13 $(( $i + 32 ))
	mknode input/event$i c 13 $(( $i + 64 ))
	mknode usb/ttyACM$i c 166 $i
	mknode usb/lp$i c 180 $i
	mknode usb/scanner$i c 180 $(( $i + 48 ))
	mknode usb/ez$i c 180 $(( $i + 64 ))
	mknode usb/ttyUSB$i c 188 $i
	mknode usb/ttyUB$i c 216 $i
done
mknode input/mice c 13 63
mknode usb/rio500 c 180 64
mknode usb/tkpanel0 c 180 180
mknode usb/tkpanel1 c 180 181

# rfcomm (Bluetooth stack) - the same numbers as ttyUBx,
# but rfcomm refers to these names
for i in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15; do
	mknode rfcomm$i c 216 $i
done

# more ttys (12 may be not sufficient)
for i in 13 14 15 16 17 18 19 20 21 22 23 24; do
	mknode tty$i c 4 $i
done

# For Capsel:
mknode capsel c 240 0

# Some PLD-folklor :)
ln -sf null drzewo

# For mplayer helper:
mknode dhahelper c 180 0

# pktcdvd support:
mknode pktcdvd0 b 97 0
mknode pktcdvd1 b 97 1
mknode pktcdvd2 b 97 2
mknode pktcdvd3 b 97 3
mknode pktcdvd4 b 97 4

# To allow have the same devs like on devfs(links in this dirs):
mkdir $RPM_BUILD_ROOT/dev/cdroms
mkdir $RPM_BUILD_ROOT/dev/discs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

#a#
%dir /dev/ataraid
%attr(660,root,disk) /dev/ataraid/*
%attr(660,root,audio) /dev/admmidi*

%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/adsp
%attr(660,root,audio) /dev/adsp?*

%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/amidi
%attr(660,root,audio) /dev/amidi?*

%attr(644,root,root) /dev/agpgart
%attr(660,daemon,root) /dev/arpd

%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/audio
%attr(660,root,audio) /dev/audio?*

#b#
%attr(%{perm_cdrom}) /dev/bpcd

#c#
%attr(600,root,root) /dev/capi*
%dir /dev/cciss
%attr(660,root,root) /dev/cciss/*
%attr(600,root,root) /dev/cfs0
%attr(660,root,console) /dev/console
%attr(664,root,root) /dev/cui*
%attr(600,root,root) /dev/cum*
%attr(600,root,root) /dev/capsel

#d#
%attr(600,root,root) /dev/dcbri*
%attr(660,root,sys) /dev/dcxx*
%attr(660,root,audio) /dev/dmfm*
%attr(660,root,audio) /dev/dmmidi*
%attr(666,root,root) /dev/drzewo
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/dsp
%attr(660,root,audio) /dev/dsp?*
%attr(660,root,video) /dev/dhahelper

#e#
%attr(660,root,video) /dev/em8300*
%attr(600,root,root) /dev/enskip

#f#
%config(noreplace) %verify(not link) %attr(660,root,video) /dev/fb
%attr(660,root,video) /dev/fb?*
%attr(660,root,floppy) /dev/fd*
%config(noreplace) %verify(not link) %attr(666,root,root) /dev/ftape
%attr(644,root,root) /dev/full

#g#

#h#
%attr(660,root,disk) /dev/ht0

#i#
%attr(600,root,root) /dev/i2c*
%dir /dev/i2o
%attr(600,root,root) /dev/i2o/ctl
%attr(660,root,disk) /dev/i2o/hd*
%dir /dev/ida
%attr(660,root,disk) /dev/ida/*
%attr(600,root,root) /dev/initctl
%dir /dev/input
%attr(660,root,root) /dev/input/event*
%attr(660,root,sys) /dev/input/js*
%attr(660,root,root) /dev/input/mice
%attr(660,root,root) /dev/input/mouse*
%attr(600,root,root) /dev/intermezzo*
%attr(600,root,root) /dev/ipauth
%attr(600,root,root) /dev/ipl
%attr(600,root,root) /dev/ipnat
%attr(600,root,root) /dev/ipstate
%attr(600,root,root) /dev/ippp*
%attr(664,root,ttyS) /dev/ircomm0
%attr(664,root,ttyS) /dev/ircomm1
%attr(664,root,ttyS) /dev/irlpt0
%attr(664,root,ttyS) /dev/irlpt1
%attr(660,root,sys) /dev/iscc*
%attr(600,root,root) /dev/isctl
%attr(600,root,root) /dev/isdn?
%attr(600,root,root) /dev/isdn??
%config(noreplace) %verify(not link) %attr(600,root,root) /dev/isdnctrl
%attr(600,root,root) /dev/isdnctrl?*
%attr(444,root,root) /dev/isdninfo

#j#
%attr(660,root,sys) /dev/js*

#k#
%attr(640,root,kmem) /dev/kmem

#l#
%attr(660,root,root) /dev/lirc
%attr(660,root,root) /dev/lircm
%attr(660,root,disk) /dev/loop*
%attr(660,root,lp) /dev/lp*

#m#
%attr(640,root,kmem) /dev/mem
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/midi
%attr(660,root,audio) /dev/midi?*
%config(noreplace) %verify(not link) %attr(660,root,audio) /dev/mixer
%attr(660,root,audio) /dev/mixer?*
%attr(660,root,sys) /dev/mmetfgrab
%attr(600,root,root) /dev/mpu401*
%attr(660,root,audio) /dev/music
%attr(660,root,disk) /dev/md*

#n#
%attr(660,root,disk) /dev/nb*
%dir /dev/net
%attr(600,root,root) /dev/net/tun
%config(noreplace) %verify(not link) %attr(666,root,root) /dev/nftape
%attr(660,root,disk) /dev/nht*
%attr(660,root,disk) /dev/nqft*
%attr(660,root,disk) /dev/nrawqft*
%attr(660,root,disk) /dev/nrft*
%attr(660,root,disk) /dev/nst*
%attr(660,root,disk) /dev/ntpqic*
%attr(666,root,root) /dev/null
%attr(666,root,root) /dev/nvidia*
%attr(600,root,root) /dev/nvram
%attr(660,root,disk) /dev/nzqft*

#o#
%attr(%{perm_cdrom}) /dev/optcd
%attr(660,root,sys) /dev/oldjs*
%attr(660,root,disk) /dev/osst?

#p#
%attr(660,root,lp) /dev/par?
%attr(660,root,lp) /dev/parport*

%attr(%{perm_cdrom}) /dev/pcd*
%attr(660,root,disk) /dev/pd*
%attr(660,root,disk) /dev/pf*
%attr(600,root,root) /dev/pg*

%attr(660,root,disk) /dev/pktcdvd*

%attr(640,root,kmem) /dev/port
%attr(644,root,root) /dev/ppp
%attr(600,root,root) /dev/printer

%attr(660,root,disk) /dev/pt0
%attr(660,root,disk) /dev/pt1
%attr(660,root,disk) /dev/pt2
%attr(660,root,disk) /dev/pt3

%attr(666,root,tty) /dev/ptmx
%attr(666,root,tty) /dev/pty*

%attr(666,root,root) /dev/pt_drv
%dir /dev/pts

#r#
%attr(640,root,disk) /dev/ram
%attr(660,root,disk) /dev/ram0
%attr(660,root,disk) /dev/ram1*
%attr(660,root,disk) /dev/ram2
%attr(660,root,disk) /dev/ram3
%attr(660,root,disk) /dev/ram4
%attr(660,root,disk) /dev/ram5
%attr(660,root,disk) /dev/ram6
%attr(660,root,disk) /dev/ram7
%attr(660,root,disk) /dev/ram8
%attr(660,root,disk) /dev/ram9

%config(noreplace) %verify(not link) %attr(660,root,disk) /dev/ramdisk

%attr(644,root,root) /dev/random
%attr(660,root,disk) /dev/rawqft*
%attr(664,root,ttyS) /dev/rfcomm*
%attr(660,root,disk) /dev/rft*
%attr(660,root,audio) /dev/rmidi*
%attr(660,root,disk) /dev/rmt*
%attr(644,root,root) /dev/route
%attr(664,root,root) /dev/rtc
%dir /dev/rd
%attr(660,root,disk) /dev/rd/*
%attr(600,root,root) /dev/rawctl
%dir /dev/raw
%attr(660,root,disk) /dev/raw/*

%attr(660,root,video) /dev/radio0
%attr(660,root,video) /dev/radio

#s#
%attr(%{perm_cdrom}) /dev/scd*
%attr(660,root,disk) /dev/sd*

%attr(660,root,audio) /dev/sequencer
%attr(660,root,audio) /dev/sequencer2

%attr(600,root,root) /dev/sg*
%attr(600,root,root) /dev/smtpe*

%attr(444,root,root) /dev/snd
%attr(666,root,root) /dev/sndstat

%attr(600,root,root) /dev/srnd*

%attr(660,root,disk) /dev/st?
%attr(600,root,root) /dev/staliomem*
%attr(666,root,root) /dev/std*

%attr(664,root,video) /dev/svga*
%attr(666,root,root) /dev/syslog
%attr(600,root,root) /dev/systty

#t#
%attr(660,root,disk) /dev/tape*
%attr(600,root,root) /dev/tlk*
%ifarch %{ix86}
%attr(666,root,root) /dev/toshiba
%dir /dev/cpu
%attr(666,root,root) /dev/cpu/microcode
%endif
%dir /dev/cpu/0
%dir /dev/cpu/1
%dir /dev/cpu/2
%dir /dev/cpu/3
%dir /dev/cpu/4
%dir /dev/cpu/5
%dir /dev/cpu/6
%dir /dev/cpu/7
%attr(664,root,root) /dev/cpu/[0-9]/*
%attr(660,root,disk) /dev/tpqic*

%attr(666,root,root) /dev/tty

%attr(600,root,root) %verify(not user group mode) /dev/tty[0-9]*

%attr(600,root,root) /dev/ttyC*
%attr(600,root,root) /dev/ttyD*
%attr(600,root,root) /dev/ttyE*
%attr(600,root,root) /dev/ttyI*
%attr(600,root,root) /dev/ttyM*
%attr(600,root,root) /dev/ttyP*
%attr(600,root,root) /dev/ttyR*

%attr(664,root,ttyS) /dev/ttyS*
%attr(664,root,ttyS) /dev/ttyLT*

%attr(666,root,tty) /dev/ttya*
%attr(666,root,tty) /dev/ttyb*
%attr(666,root,tty) /dev/ttyc*
%attr(666,root,tty) /dev/ttyd*
%attr(666,root,tty) /dev/ttye*
%attr(666,root,tty) /dev/ttyp*
%attr(666,root,tty) /dev/ttyq*
%attr(666,root,tty) /dev/ttyr*
%attr(666,root,tty) /dev/ttys*
%attr(666,root,tty) /dev/ttyt*
%attr(666,root,tty) /dev/ttyu*
%attr(666,root,tty) /dev/ttyv*
%attr(666,root,tty) /dev/ttyw*
%attr(666,root,tty) /dev/ttyx*
%attr(666,root,tty) /dev/ttyy*
%attr(666,root,tty) /dev/ttyz*
%attr(600,root,root) /dev/tun*

#u#
%attr(644,root,root) /dev/urandom
%dir /dev/usb
%attr(660,root,root) /dev/usb/ez*
%attr(660,root,lp) /dev/usb/lp*
%attr(660,root,root) /dev/usb/scanner*
%attr(664,root,ttyS) /dev/usb/rio500
%attr(664,root,ttyS) /dev/usb/ttyACM*
%attr(664,root,ttyS) /dev/usb/ttyUB*
%attr(664,root,ttyS) /dev/usb/ttyUSB*
%attr(660,root,root) /dev/usb/tkpanel*

#v#
%attr(620,root,tty) %verify(not user) /dev/vcs*

%attr(660,root,video) /dev/video0
%attr(660,root,video) /dev/video
%attr(660,root,video) /dev/vtx0
%attr(660,root,video) /dev/vtx
%attr(660,root,video) /dev/vbi0
%attr(660,root,video) /dev/vbi

#w#
%attr(600,root,root) /dev/watchdog
%attr(660,root,sys) /dev/wvisfgrab

#x#
%attr(660,root,disk) /dev/xd*

#y#

#z#
%attr(666,root,root) /dev/zero
%attr(660,root,disk) /dev/zqft*

# only on sparc or m68k
%ifarch sparc m68k
# XXX: which permissions???
%attr(600,root,root) /dev/kbd
%endif

# only on m68k
%ifarch m68k
# XXX: which permissions???
%attr(664,root,root) /dev/amigamouse
%attr(664,root,root) /dev/atarimouse
%attr(664,root,root) /dev/apollomouse
%endif

# only on ppc
%ifarch ppc
%attr(644,root,root) /dev/adb*
%attr(644,root,root) /dev/mouse
%attr(644,root,root) /dev/pmu
%attr(644,root,root) /dev/sheep_net
%endif

# only on sparc
%ifarch sparc
# XXX: which permissions ???
%attr(600,root,root) /dev/openprom
%attr(664,root,root) /dev/sunmouse
%endif

%attr(660,root,disk) /dev/hd*
# not on sparc or m68k
%ifnarch sparc m68k
%attr(664,root,root) /dev/atibm
%attr(%{perm_cdrom}) /dev/aztcd
%attr(%{perm_cdrom}) /dev/cdu31a
%attr(%{perm_cdrom}) /dev/cdu535
%attr(%{perm_cdrom}) /dev/cm206cd
%attr(%{perm_cdrom}) /dev/gscd
%attr(664,root,root) /dev/inportbm
%attr(664,root,root) /dev/logibm
%attr(%{perm_cdrom}) /dev/mcd
%attr(664,root,root) /dev/psaux
%attr(%{perm_cdrom}) /dev/sbpcd*
%attr(%{perm_cdrom}) /dev/sjcd
%attr(%{perm_cdrom}) /dev/sonycd
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dev.spec,v $
Revision 1.114.2.3  2003/12/09 09:34:19  qboosh
- removed cdroms and discs dirs with broken perms (they were even unable to enter to)
- /dev/fb* readable only for video group
  (SECURITY FIX: it was possible to read fb console contents and perform some ioctls on it
  by ordinary, even remotely logged in, user)
- release 34

Revision 1.114.2.2  2003/10/08 10:33:26  blues
- md5 added (new dev does not work on RA??)

Revision 1.114.2.1  2003/07/11 12:00:42  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.114  2003/05/12 12:02:25  qboosh
- added first 16 rfcomm devices

Revision 1.113  2003/03/31 18:51:54  hunter
-addes osst0/1

Revision 1.112  2003/03/08 02:48:38  blues
- release 32 - removed duplicate entry on file list, added dirs to allow
  make links that are the same like in devfs (smoother switch to devfs)
  STBR to Ra updates general (or maybe better contrib)

Revision 1.111  2002/12/22 20:08:56  adgor
- Added pktcdvd support
- Release 31

Revision 1.110  2002/12/20 09:55:32  qboosh
- added /dev/ttySL0 c 212 0 for Smart Link soft modem

Revision 1.109  2002/12/19 12:38:20  qboosh
- added /dev/usb/tkpanel* (touchkit panel); release 30

Revision 1.108  2002/11/06 10:50:50  qboosh
- added TAP/TUN device for 2.4; release 29

Revision 1.107  2002/09/05 18:42:08  blues
- release 28 - dhahelper for mplayer kernel module

Revision 1.106  2002/08/21 19:26:23  qboosh
- forgot previous time: 12 more ttys, release 27

Revision 1.105  2002/08/21 10:09:12  qboosh
- added intermezzo fs, cciss RAID and first 16 i2o disks devices; release 26

Revision 1.104  2002/07/22 14:58:48  blues
- added cpu/[0-7]/* - registers of procesors
STBR

Revision 1.103  2002/07/22 14:01:49  qboosh
- fixed build (mknods outside RPM_BUILD_ROOT), always use mknode

Revision 1.102  2002/07/02 17:12:00  rrw
- yeah, made nodes but forgot to add these to %%files;
- release 25, STBR;

Revision 1.101  2002/07/02 17:05:44  rrw
- added entries for em8300 hardware mpeg decoder;

Revision 1.100  2002/06/23 23:50:51  speedy
- PPC: sheep_net

Revision 1.99  2002/06/19 19:56:09  qboosh
- added nvram (c 10 144)
- verify(not user group mode) for /dev/tty[0-9]* (they change on login/logout)
- 664 root.video (instead of 664 root.root) for /dev/svga*
- release 23

Revision 1.98  2002/06/11 09:23:20  speedy
- Macintosh PowerBook power manager
- release 22

Revision 1.97  2002/06/10 12:30:48  blues
- added capsel device

Revision 1.96  2002/05/13 21:08:22  kloczek
- partialy reverted changes with tun devices (was added before).

Revision 1.95  2002/05/13 20:46:23  kloczek
- fix: changed permission to 600/root.root on /dev/tun* devices.

Revision 1.94  2002/05/13 20:34:00  kloczek
- release 20: added TUN/TAP devices (fixed http://bugs.pld.org.pl/?bug=184).

Revision 1.93  2002/04/25 16:10:48  arturs
fixed a small typo

Revision 1.92  2002/04/05 15:09:31  roman
s/public domain/Public Domain in License

Revision 1.91  2002/03/30 22:32:50  adasi
 - yeah, made nodes but forgot to add these to %files
 - rel 19, stbr

Revision 1.90  2002/03/30 16:49:49  adasi
 - added tun device (/dev/tun0-tun9) for vtun
 - release 18; STBR

Revision 1.89  2002/03/20 01:05:23  ankry
- added /dev/hd[i-l]*
- ide disks also for sparc.m68k
- release 17

Revision 1.88  2002/03/13 19:45:26  mkochano
- Release 16.
- Added mknod c 40 0 for Plustek scanners.

Revision 1.87  2002/03/09 20:28:50  kloczek
- added /dev/cpu/microcode (c,10,184).

Revision 1.86  2002/03/08 13:26:06  martii
- more ppc related fixes

Revision 1.85  2002/03/08 12:49:08  martii
- added ppc related devices

Revision 1.84  2002/02/25 13:21:18  blues
- forgot to add /dev/drzewo to files :)
STB now...

Revision 1.83  2002/02/25 13:12:59  blues
- rel 14
- added provides devfs (now I can install devfsd and not uninstall dev)
- added /dev/drzewo :)
STB

Revision 1.82  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.81  2002/02/17 23:11:09  wojtekka
- fixed /dev/input/mice. release 13.

Revision 1.80  2002/02/16 18:31:09  kloczek
- release 12 (release 11 is avalaible now on ftp).

Revision 1.79  2002/02/16 10:40:35  wojtekka
- fixed /dev/input/js* group. release 11.

Revision 1.78  2002/02/15 20:21:17  kloczek
- adapterized.

Revision 1.77  2002/02/15 18:19:37  wojtekka
- added usb devices.

Revision 1.76  2002/01/31 14:02:38  qboosh
- added ataraid devices, release 10

Revision 1.75  2002/01/28 10:31:00  marcus
-s/%%{x86}/%%{ix86}/g

Revision 1.74  2002/01/18 02:12:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.73  2002/01/03 23:04:54  gotar
- nvidia comment.

Revision 1.72  2001/12/28 17:15:54  gotar
- changes in descriptions.

Revision 1.71  2001/12/21 23:26:21  kloczek
- releas 9.

Revision 1.70  2001/12/21 09:00:09  blues
- added temperature device for watchdog

Revision 1.69  2001/12/13 08:15:01  gotar
- %install: touch replaced with >.

Revision 1.68  2001/11/14 21:37:37  kloczek
- release 8,
- added c 10 181 /dev/toshiba device.

Revision 1.67  2001/11/06 08:58:03  kloczek
- release 7.

Revision 1.66  2001/11/04 21:34:16  gotar
- changed 644 root.root to 664 root.video for /dev/fb?*

Revision 1.65  2001/10/24 16:56:09  qboosh
- release 6: added video4linux devices; prereq for setup with video group

Revision 1.64  2001/10/06 20:21:24  gotar
- changed BuildPrereq to BuildRequires.

Revision 1.63  2001/09/10 16:34:43  kloczek
- release 5.

Revision 1.62  2001/09/10 13:03:23  qboosh
- added agpgart c 10 175

Revision 1.61  2001/09/05 22:42:04  blues
- changed /dev/arpd owner to daemon - needed for new arpd

Revision 1.60  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.59  2001/07/31 07:01:03  saq
- /dev/lircm p
- release 4
- STB

Revision 1.58  2001/07/21 16:47:12  blues
- /dev/arpd c 36 8

Revision 1.57  2001/07/21 16:33:07  saq
- new device: /dev/lirc
- release 3
- STB

Revision 1.56  2001/07/16 17:27:12  gotar
- removed redundant rpm macros,
- cosmetics.

Revision 1.55  2001/07/13 14:00:29  zagrodzki
- added irda-utils devices

Revision 1.54  2001/07/03 20:35:49  gotar
- added %verify(not user) for /dev/vcs*.

Revision 1.53  2001/07/03 16:19:23  qboosh
- /dev/midi* perms changed to 660 root.audio (not 662)

Revision 1.52  2001/07/02 16:26:33  qboosh
- changed admmidi,adsp,amidi,dmfm,dmmidi perms to 660 root.audio

Revision 1.51  2001/06/30 17:13:20  gotar
- changed some listings to 'for' loops,
- changed group of /dev/tty{0,1*,2 thru 9} from 'tty'
  to 'root' - it's being changed anyway after logout,
- added using %{__*} macros.

Revision 1.50  2001/06/28 22:09:08  kloczek
- version 2.8.0.

Revision 1.49  2001/06/28 21:04:00  qboosh
- no longer noarch, fixed files list for sparc and m68k
  (need to check permissions for some sparc/m68k devices!)
- changed /dev/lp* and /dev/par* perms to 660 root.lp
- unified cdrom devices permissions to 660 root.disk
- prepared /dev/js* for kernel 2.4; old js* named oldjs*

Revision 1.48  2001/06/16 12:29:41  kloczek
- release 11: changed permission on md* devices to 660/root.disk
  (neccessary for amanda).

Revision 1.47  2001/04/10 23:15:54  saq
- moved /dev/nvidia* from XFree86-nvidia-kernel.spec
- release 10. STB

Revision 1.46  2001/03/19 22:22:24  saq
- added /dev/ttyLT0 for ltmodem
- Release: 9

Revision 1.45  2000/12/11 20:36:31  alchemyx
- video4linux devices added

Revision 1.44  2000/11/17 12:39:41  krzyszcz
- added /dev/rawctl and /dev/raw/raw* char devices.

Revision 1.43  2000/06/19 08:30:09  kloczek
- root.audio/660 on all audio devices.

Revision 1.42  2000/05/31 07:21:27  yaro
- added ALSA dev: amixer i acontrol
- fixed /dev/snd symlink

Revision 1.41  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.40  2000/05/07 12:10:50  kloczek
- removed /dev/nfsd_netlink.

Revision 1.39  2000/05/07 12:07:47  bonkey
- /dev/log removed due to collisions with syslog*

Revision 1.38  2000/05/05 16:28:23  jajcus
- ipsec device added

Revision 1.37  2000/05/05 14:11:23  kloczek
- release 7,
- added char devices /dev/nfsd_netlink (for knfsd) and /dev/svga* (for
  svgalib).

Revision 1.36  2000/04/25 19:56:25  zagrodzki
- new release

Revision 1.35  2000/04/09 12:18:44  zagrodzki
- removed %post (adding group "audio" should be done in setup, not in
  dev)
- removed Requires: shadow, sh-utils (not needed if no %post): to remove
  loop in dependencies (dev should require only setup and nothing more)
- changed Requires: setup to Prereq: setup to force right installation
  order.

Revision 1.34  2000/04/08 18:55:58  bonkey
- fix in %post

Revision 1.33  2000/04/08 18:47:24  bonkey
- %post: unmached 'fi'

Revision 1.32  2000/04/07 00:28:26  bonkey
- Requires:  sh-utils
- Requires:  shadow
- groupadd -g 23 audio
- attr(660,root, audio) /dev/{audio,dsp,mixer}*

Revision 1.31  2000/04/06 23:34:49  bonkey
- attr(660,root, audio) /dev/audio?*
  attr(660,root, audio) /dev/dsp?*
  attr(660,root, audio) /dev/mixer?*

Revision 1.30  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicated empty lines

Revision 1.29  2000/03/29 22:02:07  zagrodzki
- /dev/ttyS*: 664, root, ttyS

Revision 1.28  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.27  2000/03/24 16:13:56  mis
- removed %post and %pre scripts

Revision 1.26  2000/03/06 12:00:38  smyda
- insert rm in function mknode

Revision 1.25  2000/03/06 08:33:24  smyda
- replace mknod -> mknode shell function

Revision 1.24  1999/11/12 00:54:19  kura

- fixed pl translation

Revision 1.23  1999/10/11 07:08:16  waszi
- /dev/ip* moved from netfilter package

Revision 1.22  1999/10/05 08:39:01  waszi

- /dev/md* moved from raidtools

Revision 1.21  1999/08/13 13:52:07  misiek
added /etc/ppp

Revision 1.20  1999/07/12 23:05:55  kloczek

- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- again /dev/log in this package ...

* Thu Apr 29 1999 Artur Wiget <wiget@pld.org.pl>
  [2.7.7-2]
- upgrade to 2.7.7
- removed creating already created devices
- added more devices in %files

* Mon Apr 27 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [2.7.3-2]
- added /dev/initctl,
- added pts device to /etc/fstab,
- added /dev/syslog.

* Mon Apr 26 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [2.7.3-1]
- upgrade to 2.7.3,
- removed /dev/log, /dev/cua[0-3].

* Tue Apr 20 1999 Artur Frysiak <wiget@pld.org.pl>
  [2.5.9-3]
- compiled on rpm 3
- fixed framebuffer support
- added coda support

* Sat Dec 12 1998 Sergiusz Pawowicz <ser@hyperreal.art.pl>
  [2.5.9-1d]
- added polish translation to spec (regards to PLD Team),
- added handles to Unix98 pty support,
- added handles to framebuffer support,
- revised spec file, adding group 'floppy' removed.
- removed initctl -- SysVinit provides it.
- start at RH spec file.
